<?php

include '../aut_config.inc.php';

// Array que vincula los IDs de los selects declarados en el HTML con el nombre de la tabla donde se encuentra su contenido
$listadoSelects=array(

"cod_productos"=>"cod_productos",
"cantidad_producto"=>"cantidad_producto",
);

function validaSelect($selectDestino)
{
	// Se valida que el select enviado via GET exista
	global $listadoSelects;
	if(isset($listadoSelects[$selectDestino])) return true;
	else return false;
}

function validaOpcion($opcionSeleccionada)
{
	// Se valida que la opcion seleccionada por el usuario en el select tenga un valor numerico
	if(isset($opcionSeleccionada)) return true;
	else return false;
}

$selectDestino=$_GET["selectxx"]; $opcionSeleccionada=$_GET["opcion"];

if(validaSelect($selectDestino) && validaOpcion($opcionSeleccionada))
{
	 $tabla=$listadoSelects[$selectDestino];
   //$relacion='cod_producto';
	 $tabla;
	 $opcionSeleccionada;
	 if($tabla=='cantidad_producto'){
		$consulta=mysql_query("SELECT * FROM  tabla_producto_inventario WHERE cod_producto='$opcionSeleccionada' and eliminar='0' ", $link);
		$registro=mysql_fetch_row($consulta);
$control_producto_minimo=$registro['cantidad']; 
	// Comienzo a imprimir el select
	echo "	<input	class='form-control'
															type='number' 
															name='cantidad_producto' 
															id='cantidad_producto'
															autocomplete='off'
															autofocus='autofocus'
															required='required'
															title='Campo requerido, no dejar en blanco'
															value=''
															min='0'
															max='$control_producto_minimo'
															placeholder='CANT. DEL PRODUCTO'
													/>
	";





}
?>